cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/rewards/list \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/rewards/list"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/rewards/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"amount": 123,
"created_at": "<string>",
"lead": "<unknown>",
"event_id": "<string>",
"conversion_amount": 123,
"tier_level": 123,
"promoter": {
"id": 123,
"status": "<string>",
"cust_id": "<unknown>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 123,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<unknown>",
"w9_form_url": "<unknown>",
"parent_promoter_id": "<string>",
"earnings_balance": {},
"current_balance": {},
"paid_balance": {},
"auth_token": "<string>"
},
"promotion": {
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": "<string>",
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
}
]"<string>"{
"error": "<string>"
}Rewards
List rewards and commissions
With this endpoint you can list all rewards and commissions assigned to a promotion, promoter, campaign or entire account using the API.
Pagination details are held on response headers. Add
--include option on curl request to see the pagination details format and links to next pages.HTTP Request
GET https://firstpromoter.com/api/v1/rewards/listGET
/
list
cURL
Authorizations
Query Parameters
List all rewards and commissions assigned to this promotion id
List all rewards and commissions assigned to a promotion - find promotion by ref_id
List all rewards and commissions assigned to a promoter
List all rewards and commissions available to a campaign
Response
Get rewards response
ID of the reward
status of the reward.
Available options:
approved, pending, denied amount of the reward
The reward unit.
Available options:
cash, credits, points, free_months ISO date string at which the reward is created
The reward tier level
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I